Title

Duplicate Cleaner 5 Manual

  • Title
Next page →
USER GUIDE
Duplicate Cleaner 5
©2006-2022 DigitalVolcano Software Ltd
Revision 4


Overview & Installation

Duplicate Cleaner is an application to help you clean up your duplicate files.

Duplicate Cleaner is not -
A system cleaner, a registry cleaner, an email duplicates cleaner, a performance tuner, a defrag tool, a one-click space saver.
Duplicate Cleaner is -
A powerful tool designed to help you sort out and clean up your own files, documents, photos, music, videos, back-ups and portable devices.

Warning!

You should only use duplicate cleaner if you understand your computer's file system, and you know what you are doing!
Always remember that data should be backed up regularly. We take no liability for any data lost or damaged through use or misuse of this software. We recommend that important data is backed up prior to the use of this software.
Duplicate Cleaner looks for files on your hard disc that appear twice. There may be a good reason for this - a program may require a file in a certain place to work. If in doubt, do not delete a file! We recommend that you do not use Duplicate Cleaner to remove files from your Program Files, Windows folder, or indeed any other system folder.

Requirements

  • •
    Operating System: Microsoft Windows 11, Windows 10, Windows 8 or Windows 7.
  • •
    Disc Space: 120Mb
  • •
    Microsoft .NET Framework 4.7.2 (minimum)
    Note that If you want to use Duplicate Cleaner on Windows Vista you will need to download version 4.1.4.
    If you want to use Duplicate Cleaner on Windows XP you will need to download version 3.2.7.

Installation

Double click on the downloaded Duplicate Cleaner setup executable file in Windows Explorer. You will be guided through a simple automatic install process to the location of your choice. Duplicate Cleaner requires the Microsoft .NET Framework 4.7.2 or better to run. This should be present on most modern systems, but older systems may need updating. Microsoft .NET download page

Removing the program

Duplicate Cleaner can be un-installed from the Add/Remove programs section of the Windows settings, or by right-clicking on the program icon in the Start Menu and selecting 'Uninstall'.
All settings and cache files will also be removed. Any Save states or Virtual drives which have been created will be retained. You can remove these manually by deleting the folder "C:\Users\[YOUR USER NAME]\AppData\Roaming\DigitalVolcano\DuplicateCleaner"


Language Selection

Duplicate Cleaner has the ability to be easily adapted to display other languages, and comes with several language options by default.
On first starting, the language will be automatically detected from your Windows settings. You can change the selected language from a drop-down menu in the Home Tab.

The contents of Language Selection

Creating your own translation


Creating your own translation

Duplicate Cleaner has the ability to be easily adapted to display other languages. The language file is in the installed program folder:
For example:
C:\Program Files (x86)\Duplicate Cleaner 5\Languages\duplicatecleaner.txd
You can use the free TxEditor to edit this language file:
https://unclassified.software/en/source/txtranslation
The Wizard translations are in their individual XML files in the Wizard subfolder and can be edited with a text editor.
Please feel free to post any new translations to the forum!


Registration window

The registration window appears in Duplicate Cleaner Pro, when in unregistered (Trial) mode. Here you can enter a purchased license key to activate Duplicate Cleaner Pro, or you can use the trial for a limited period.

Enter license key

1. Enter license key
Enter the purchased license key here. If you have received it by email it is usually quicker to paste the key in (select the key in the email and CTRL-C to copy, CTRL-V or paste button to paste into the form).
If you have lost your license key you can recover it automatically from our website. Click on the 'Recover license key' button to open the site in your web browser, or go to this link: Recover license key
Note that Duplicate Cleaner version 4 licenses won't work in this version, and the license key format is different - a long string of letters and numbers. Use the license recovery tool linked above to check for an upgraded key or an upgrade voucher.
Top

Exit button

2. Exit button
If there is a trial period left, this launches Duplicate Cleaner in trial mode.
Top

Buy Online button

3. Buy Online button
Brings up the secure purchase page to obtain a license key. There are often discounts and special offers applied!
Visit the Duplicate Cleaner purchase page for the latest deals.
Top


Getting Started

Backup your files first!

As with any hard drive cleanup project it is always best to have a recent backup - preferably on a different drive or in the cloud.

Type of scan

Duplicate Cleaner has four types of scanning mode: Regular Mode, Image Mode , Audio Mode and Video Mode. Regular mode will find duplicates by comparing the actual content of the files, or by attributes such as file name, date and size. Image mode compares the content of images to group similar pictures, or can compare image tags. Audio mode compares the tags embedded in audio files.
Select your scan mode and set your criteria on the Search criteria tab.
Note that if you select too many criteria such as same modified AND created date, Duplicate Cleaner may not find any matches. If in doubt, try a first scan in Regular mode with just 'Same Content' checked.

Where to scan?

Tell Duplicate Cleaner where to scan on the Scan Location tab. You can use one or more paths/drives as a starting point.
As a quick side note it's best not to scan and remove the entire drive containing your Windows system and Program files as removing these can break your system. Duplicate Cleaner is designed for your own documents and data, not for cleaning system files.

Wizard

You can also use a Wizard - this will set up the scan type and scan criteria.

Starting the scan

Click on the 'Start scan' button on the Search criteria tab or Scan location tab. A scan may take minutes or hours depending how big the drives are and how many files we are searching for. Network speed may also be a factor for remote drives.

After the scan

The Duplicate files list is displayed upon the scan finishing. This is the list of all the duplicate files found. They are arranged in numbered Groups (Shown in the group column). Each file in a group can be considered duplicates according to the criteria you set at the beginning of the scan. Marking (ticking/checking) a file specifies that you intend to remove (delete) that file later on. Note that this list contains ALL copies of each file, so you should leave at least one in each group when removing files.
Duplicate Cleaner has a tool called the Selection Assistant which can help you automatically select files.
You can use the Selection assistant to help select files for deletion (for instance "Select all but one in each duplicate group")
You can then use the File removal tab to delete, move or copy the files you selected. Always be careful though, and be sure you have a backup before starting!

Saving

The application automatically saves all settings and scan results on closing. These will be recalled on next startup. You can also use the Load and save tool to recall multiple states and scan scenarios.


Home tab

The home tab is a starting point for most of the stuff you'll want to do. It contains buttons to access the Registration window, Help pages and the Log file. You can also change the language used here.

New scan

This button will close any open scan results, clear the folders to scan, and take you to the scan criteria tab. Optionally it will also reset all the scan settings to the default if the option is checked.

Wizard

This section allows you to run a Wizard. Wizards are preset scanning setups for you to use and can help to get a quick start. See the Wizards page for more information.

Load and save scan

Here you can load and save the current criteria, scan location and optionally the scan results (along with any checkmarks on the files and folders). You can also import CSV files of previous scan results.
Please see the Loading and saving page for more detail.

Virtual Folders

Using this tool you can create a database which is virtual 'snapshot' of a location (For example: a folder or drive, offline archive, optical media, a slow network location). This snapshot can then be used in Duplicate Cleaner in future scans where the original drive doesn't need to be present or connected. This is handy in many scenarios - for instance comparing working files against a backup or a DVD archive, or for repeated scans against a network drive that would otherwise be very slow. Note that a virtual folder is not a backup - it's just contains information about the files (not the actual content).
There is more information on the Virtual folders page.


Wizards

Overview

The Wizard tool can be started from the Home tab. Wizards allow you to get a quick start on most scanning situations by using a preset combination of settings. The advanced user can also create their own Wizards.

The Wizard window

Once a Wizard is started the above window appears. It contains a description of the current scan, along with a list of folders to choose for the scan. Select a folder to scan by dragging it over to the 'Folders to search list' or select it and click on the right arrow. To remove a folder click on the back arrow or hit the delete key.
The Start scan button will hide the Wizard window and immediately begin the scan. If you want to apply the Wizard settings and inspect the criteria before starting the scan, click the Apply button.


Scan Criteria tab

The Scan Criteria tab is where you tell Duplicate Cleaner what you are looking for, and how you want to match duplicates. (The Scan Location tab lets you say where).
On this page you can set in what way you want Duplicate Cleaner to match files. You can also specify additional duplicate matching options and search filters - these narrow down the type of files you are scanning for.

Mode of operation

There are four modes of operation -
  • •
    Regular Mode - Match files by their exact binary content, or match by their file attributes (name, size, etc) ignoring the content
  • •
    Image Mode - Match image files and photos by their visual element, or their metadata and tags
  • •
    Audio Mode - Match audio files by their sound component or metadata.
  • •
    Video mode - Match video files by video, audio, or metadata components.
Select the appropriate tab to activate this scan type, and then specify the criteria. Only one scan mode can be active at a time.

More duplicate options

These are additional scan criteria relating to file and folder attributes that can be used with all scan modes.
  • •
    Same file name - With this option, files with the same filenames (excluding file extension) will be grouped as duplicates.
  • •
    Same file extension - This option groups files with the same file extension (For example: .txt or .jpg)
  • •
    Similar file names - Files are grouped which have similar names. Match tolerance can be tweaked using the Text matching options below.
  • •
    Ignore 'Copy' part of filename - When matching file names, the "Copy" part of the name is ignored.
E.g
“ - Copy”
“ - Copy (1)”
“ - Copy (2)”
“ - Copy (3)”
Etc.
So using this “MyFile.txt” can be matched to “MyFile – Copy(16).txt” when matching file names. Note this current only works with the English 'Copy' suffix.
Same file size - Matched files have to have the same size (in bytes).
A matching tolerance can also be set. The tolerance can be set in Bytes, Kilobytes, Megabytes or by percentage difference.
Note: This is unavailable if the 'Regular mode' - 'Same Content' option is selected, as this type of scan already assumes the files will be the same size.
  • •
    Same created date/time - This option will group files with the same created date/time file attribute. You can just match by date, ignoring the time component, by clicking 'Match date only'.
You can also set a matching tolerance in Hours, Minutes and Seconds.
  • •
    Same modified date/time - This option will group files with the same modified date/time file attribute. You can just match by date, ignoring the time component, by clicking 'Match date only'.
You can also set a matching tolerance in Hours, Minutes and Seconds.
  • •
    Same drive - Duplicate groups have to be on the same drive or device.
  • •
    Same folder name - This setting enables you to group duplicates by their folder name. There are several options:-
  • a.
    Match full folder name - matches files by their full path excluding the drive letter or network share name. To match the drive letter as well please check the 'Same drive' option.
  • b.
    Match depth from top [depth] - matches folder names to a specified depth from the top of the path. Excludes drive letter.
    For example: With a depth of 2 the folders C:\Mine\Stuff\Docs\Sub\ and D:\Backup\Docs\Sub will be matched. With a depth of 3 they would not match.
  • c.
    Match from search root - with this setting the base part (as added as a scan location) of the folder name is ignored when matching.
    For example: If C:\Documents is the starting folder and C:\Documents\Mine\ is being checked then only \Mine\ is compared when checking the folder name to another.
  • •
    Ignore duplicate groups within the same folder
    This option will cause duplicates to be EXCLUDED from the final list where ALL the duplicates in that group are in the same folder. This is useful where you want to find duplicates which are in different folders.
    Note: A group containing some duplicates from the same folder will be shown if they have at least one match in a different folder.
  • •
    Text matching options - these settings affect any criteria above that rely on matching text (folder names, file names, tags)
Is case sensitive - Checks are case sensitive
Similar text tolerance - Checking tolerance (lower is stricter)

Search filters

Search filters allow you to narrow down the files to scan before any matching takes place. Having filters in place can speed up large scans.
File types
Having 'All file types' checkmarked will scan all the file types supported by the current Scanning Mode. (e.g. just image types for Image Mode). Unchecking this setting allows you to set custom filters or use an editable preset.
You can choose from one of the preset filters (graphics file, office files, movies, etc) by clicking on the 'Presets' button or you can type in your own.
Multiple filters are separated by a semicolon (;). For example:
*.txt;*.bak;*.ini
You can also choose to exclude certain file extensions should you wish. This feature is most useful when a wildcard is used in the 'included' box.
For example:
Included: *.*
Excluded: *.db;*.ini
Additionally, folder names can be excluded from the scan. This option will apply to anything in the Excluded box (For example: .picasaoriginals)
The file presets can be saved and edited from the settings tab.
File sizes
You can set the file size range of the search (Minimum and Maximum). You can also set the units for this value (Bytes, KB, MB, GB or TB). If 'Any file size' is selected then all file sizes are scanned.
'Ignore zero size files' will exclude all empty (zero bytes) files from the scan.
File dates
This allows you to search between certain file dates (Created or Modified). 'Any Date' will scan all file dates.
Image / Movie dimensions
This filter is for Image and Video modes. Here you can limit the scan to pictures or videos which fall between specified dimensions, in pixels (px). 'Any dimensions' will scan all sizes.
Hard-links
Hard-links are a way of having a single file show in multiple places on the file system. Hard-linked files may show up as duplicates, though they actually will only take up the disk space of one file.
  • •
    Count hard-links on file - The number of hard-links each file contains will be counted and shown in the list. This will slow down the scan.
  • •
    Exclude hard-linked files from duplicate list - Any hard-linked files are excluded from the duplicate check. Requires the hard-link count setting above to be checkmarked.

The contents of Scan Criteria tab

Regular mode
Image mode
Audio mode
Video mode


Regular mode

Overview

Regular mode scans for duplicate files by either their exact content, their standard attributes (such as size, name or date), or a combination of both.
This mode is usually the fastest to scan and makes a good starting point for checking for duplicates. Try using 'Same Content' to find exact file duplicates.

Same content

This option will find files with exactly the same content inside, regardless of name or date. Duplicate files matched with this technique will always be the same size on disk.
Advanced settings
For advanced users, the method using for comparing exact files can be changed here:
  • •
    Byte-to-byte (Compares all identically sized files against the other on a byte-by-byte basis. This will often be slower than the hashing methods.)
  • •
    Hash algorithms (MD5, SHA256, etc)
Hash algorithms generate a 'fingerprint' for each file. These are then compared for duplicates. More info here .

Similar content

This option allows you to find files with similar binary content. The minimum similarity is controlled by changing the percentage.
  • •
    Running a scan using this option can be several times slower than with the Same content option.
  • •
    As this option is a binary comparison it doesn't take the file format into account, it may not produce useful results on some file types, especially compressed files. It's recommended to use the targeted modes (Image, Audio and Video) for finding specific file formats.

Ignore content

Use this option if you want to completely ignore the actual content of the file, and instead compare by file attributes such as file name, size or date.
You should select additional criteria from the ' More duplicate options ' section when using this option.


Image mode

Overview

Image Mode is for the finding of duplicate and similar images. The actual images are visually compared (unless Ignore is selected), regardless of file type, resolution or tags.
Image data is also cached by Duplicate Cleaner, meaning that a scan covering any previously scanned (and unchanged) images is a lot faster. Non-image files are ignored in this mode.
Supported image types include:
  • •
    .bmp
  • •
    .gif
  • •
    .jpg/.jpeg/.jpe
  • •
    .ico
  • •
    .png
  • •
    .emf
  • •
    .dib
  • •
    .tif / .tiff
  • •
    .heic
  • •
    .webp
  • •
    .cur
  • •
    .jfif
  • •
    .jxr
You can also scan camera RAW image formats - be sure that Camera RAW Image support is checkmarked (see below). You can also scan Photoshop PSD files by checkmarking the RAW setting.

Image Similarity

Set the similarity of the images you want to find here.
  • •
    Exact match - finds exact pixel duplicates of the images (ignoring tags). Images need to be of the same dimension - this won't match differently sized images.
  • •
    Very close match - similar image match
  • •
    Good match - similar image match
  • •
    Loose match - similar image match
  • •
    Custom - Allows you to specify a matching percentage
  • •
    Ignore - Don't match by the image, match by another attribute such as time taken.
Notes:
  • •
    If you just want to compare image tags (including time taken), and ignore the actual image, you can select 'Ignore'.
  • •
    For very small resolution files such as small icons, exact matching may produce better results
  • •
    If you are getting false matches, try unchecking the 'Find Rotated' and 'Find Flipped' settings, and lock the scan to 'Same Resolution' and 'Same Aspect Ratio' settings. Also try increasing the similarity.
  • •
    All Similar modes (not Exact Match) use colour-insensitive matching (greyscale).
Find rotated images (Similar or exact matching only)
Check this if you want to group rotated images as duplicates.
Note: Rotations considered are 90, 180, and 270 degrees.
Find flipped images (Similar or exact matching only)
Check this if you want to find flipped images (flipped horizontally or vertically).
Same dimensions
Check this if you want only images of the same dimension (e.g. 1020x800) to be matched.
Same aspect ratio
Check this if you want only images of the same aspect ratio (eg. 16:9) to be matched.

Additional options

Group by time taken
This criteria settings allows you to group photos by the time taken as recorded by the camera.
There is a settable tolerance, in seconds, with a default of 1 second.
Group by GPS location
This option groups the images by geo-location, within a user specified radius in meters. The location is taken from the image metadata in the picture (Lattitude/Longitude). The image must contain location tags for this to work - this is supported by most modern cameras and smart phones if enabled.
Camera RAW image support
Checking this option allows the scanning of RAW image image formats.
Due to the raw nature and larger file size of these formats scans will tend to be slower than with regular image formats.
RAW Image types supported include:
.raw, .cr2, .cr3, .nef, .dng, .arw, .crw, .kdc, .mos, .srw, .orf, .raf, .rw2, .x3f, .3fr, .mrw, .dcr, .erf, .mef, .pef, .sr2, .iiq, .psd
Match RAW Images using embedded JPG
Raw image files often have a JPG thumbnail embedded within the file. This option tells the program to match using this preview JPG (if present) instead of the raw image itself - resulting in a much faster scan.
Notes:
  • •
    "Image similarity - Exact Match" will always use the full RAW image for comparison.
  • •
    Be aware that there may be unexpected results using this option if the embedded preview is corrupt or has not been updated correctly by any image editing software.

Metadata tags - displaying and matching

Duplicate Cleaner allows you to select metadata from the image files for displaying in the results and matching in the scan. You can add or remove metadata using the Add button and the cross next to each item.
For instance, if 'Make' and 'Model' are set to be matched then two or more images with matching Make AND Model metadata will be grouped as duplicates.
Available settings for each metadata item:
  • •
    Display only - Add a column to the results table for this metadata item. No matching is performed.
  • •
    Exact match - Duplicates must match on this item, and will be shown as a column in the results table.
  • •
    Similar text - Duplicates must match using similar text matching for this item, and will be shown as a column in the results table.
  • •
    Exact match - including blanks - Duplicates must match on this item, in addition blank entries will also match each other, and will be shown as column in the results table.
Metadata items shown in the results can then be used with the Selection Assistant to help with marking files.


Audio mode

Overview

Audio Mode is designed for audio/music files.
This mode can match by embedded audio tags (Song name, Artist, etc) or by comparing the music data for similarities.
Audio tags (ID3) usually are provided with a song download or created by a CD-ripping program such as iTunes.
Supported file types are:
  • •
    .mp3
  • •
    .ogg
  • •
    .wav
    .wma
  • •
    .flac
  • •
    .m4a
  • •
    .m4p
  • •
    .aac
All other file types in the scan are ignored.

Audio match settings

This menu option controls the type of matching used when scanning for audio duplicates. There are several preset modes:
  • •
    Match exact audio data (ignore tags)
    - Exact audio data is compared, ignoring tags. The audio must match exactly - with identical format, length and compression.
  • •
    Similar - Compare first 2 minutes
    - The first two minutes of audio is compared for similarity. Small differences in length, quality and content are acceptable. Tags are ignored.
  • •
    Similar - Compare full file (slower)
    - The full audio files are compared for similarity. Small differences in length, quality and content are acceptable. Tags are ignored.
  • •
    Similar - Quick match (compare first 15 seconds)
    - The first 15 seconds of audio is compared for similarity. Small differences in length, quality and content are acceptable. Tags are ignored.
  • •
    Similar audio - Custom
    - Allows custom settings for similar audio fingerprint matching.
  • •
    Ignore content - match by tags or attributes
    - Files are matched using only their audio metadata (artist, title, etc). Useful on a fully tagged collection. Set the matching criteria in the Audio tags section (see below).
    Note:
    The similar audio matching settings will not work on audio files of less than 3 seconds.
  • •
    Match Length
    Match the duration of the audio files, within a specified tolerance. (Hours : Minutes : Seconds)

Audio tags (metadata)

Here you can add metadata tags to display (in the results) or match when finding duplicate audio.
For instance, if 'Same Artist' and 'Same title' are set to be matched then two or more audio tracks with matching Artist AND Title tags will be grouped as duplicates.
Available settings for each metadata item:
  • •
    Display only - Add a column to the results table for this metadata item. No matching is performed.
  • •
    Exact match - Duplicates must match on this item, and will be shown as a column in the results table.
  • •
    Similar text - Duplicates must match using similar text matching for this item, and will be shown as a column in the results table.
  • •
    Exact match - including blanks - Duplicates must match on this item, in addition blank entries will also match each other, and will be shown as column in the results table.
Metadata items shown in the results can then be used with the Selection Assistant to help with marking files.


Video mode

Overview

Video Mode is for the finding of duplicate and similar video files.
Files can be matched by single or multiple frames, audio soundtrack, audio/video stream hashing and metadata tags.
Supported formats include:
mov, avi, mp4, mpg, wmv, flv, 3gp, asf, 3g2, webm, mkv, vob, m4v, mts, m2ts, sec, rm, rmvb

Usage

The below criteria will apply when matching Video files
Video match settings
  • •
    Match by similar video frames
    Compare by a selection of video frames taken from six points across the file
  • •
    Match thumbnails
    Compare by a thumbnail taken towards the start of the file
  • •
    Hash - Video + Audio
    Compare by MD5 hash of the video and audio stream in the file
  • •
    Hash - Video
    Compare by MD5 hash of the video stream in the file
  • •
    Hash - Audio
    Compare by MD5 hash of the audio stream in the file
  • •
    Audio - Similar (first two minutes)
    The first two minutes of audio is compared for similarity.
  • •
    Audio - Similar (full file)
    The full audio is compared for similarity.
  • •
    Audio - Similar (quick match)
    The first 15 seconds of audio is compared for similarity.
  • •
    Ignore content (match by tags or attributes)
    Video content is ignored, and matching is done on specified metadata tags and attributes.
Match Length
Matches the duration of the video files, within a specified tolerance. (Hours : Minutes : Seconds)

Video tags (metadata)

Here you can add metadata tags to display (in the results) or match when finding duplicate video files.
For instance, if 'Director' and 'Title' are set to be matched then two or more files with matching Director AND Title tags will be grouped as duplicates.
Available settings for each metadata item:
  • •
    Display only - Add a column to the results table for this metadata item. No matching is performed.
  • •
    Exact match - Duplicates must match on this item, and will be shown as a column in the results table.
  • •
    Similar text - Duplicates must match using similar text matching for this item, and will be shown as a column in the results table.
  • •
    Exact match - including blanks - Duplicates must match on this item, in addition blank entries will also match each other, and will be shown as column in the results table.
Metadata items shown in the results can then be used with the Selection Assistant to help with marking files.


Scan location tab

Overview

We need to tell the program where to look for duplicate files!
The Scan location tab is where you can tell the Duplicate Cleaner the location to search for files. On the left is the 'Available folders' list - this shows drives, devices and locations in your computer or attached to your computer. From here you can select what you want to add to the 'Folders to search' list. The 'Folders to search' list shows where the program should be looking in the scan, and how it should treat the folders it finds there.
Duplicate Cleaner can use normal Windows path types (For example: D:\Folder) or UNC type paths (For example:\\Host\Share\path\).

Available folders list

This is the list of available drives and folders. Any of these can be added as a search path by selecting the folder and clicking the right arrow, or by dragging the folder across to the 'Folders to search' list.
Folders can also be dragged from Windows Explorer directly into the 'Folders to search' list.
A context menu is available on this list by right-clicking an item. Here there are additional actions:
  • •
    Add folder - adds the selected folder to the 'Folders to search' list
  • •
    Expand all - Expands the current folder/drive to show all subfolders. Note this may be very slow if you are expanding a root folder!
  • •
    Create virtual folder - sends the selected folder/drive to the Create virtual folder window.
  • •
    Show in Windows Explorer
  • •
    Send to 'Remove Empty Folders' - Opens the 'Remove empty folders' tool and scans the selected folder.
  • •
    Properties - Shows properties window for the selected folder.
If a location such as a network folder is not shown, it can be added to this list by typing/pasting in the box at the top of the list. You may also use the Refresh folders button if you think a folder or device is missing.
The 'Show Hidden' button at the bottom will display any hidden folders in the folder tree.
This tree also contains any Virtual Folders you have created. These can be browsed and added to the search list in the same manner as normal folders.

Folders to search list

This list contains the paths that are to be scanned by Duplicate Cleaner. Right-clicking on this list will bring up a context menu allowing you to change the status and other settings.
If the 'Group Drives' setting above the list is checked then the folders will be displayed grouped by drive or device, along with a group header showing the drive name and available space.
Status
All paths will have a Status:
  • •
    Included - Path will be included in the scan
  • •
    Excluded - This path (and subfolders) are not to be scanned
If subfolders of existing folders in the list are added these are shown in grey, as it is assumed they will already be scanned (if the parent folder is set to 'Scan subfolders'). They will take on the settings of the parent folder but Status and Protected settings can be changed.
There are additional settings against each folder, these can be used to give you more control:
Protected
Files in a folder flagged as protected cannot be marked or removed. You can set this flag on any folder you want to keep safe.
Scan subfolders
All subfolders of this folder will be included in the scan. The subfolder scanning settings will be the same as this parent folder.
Find Duplicates
This setting controls the duplicate matching behavior for this folder (and subfolders if applicable).
No - No files from this folder will be matched as duplicates, though they may be shown in the Remaining files tab if 'Show remaining' is set.
Yes - All files in this folder are scanned for duplicates, both inside and outside this folder.
Master - The folder is a master folder (files in other folders must match it - see below), and all files in this folder are scanned for duplicates, both inside and outside this folder.
External only - Files in this folder (and optionally subfolders) will only be matched with files outside this folder. Duplicates which only exist inside this folder won't be considered. (Don't scan against self)
External only + Master - The folder is a master folder and will only match with files outside this folder. This is the above two settings combined.
Internal only - Files in this folder (and optionally subfolders) will only match with other files in this folder. (Even if the other folder is set as External only)
Master folders
When an input folder is set to Master, files in other non-master folders which do not match files in the master are ignored in the scan. This way you can check for files which specifically duplicate a certain folder or drive.

Master folders are shown in bold. You can set the Master flag on one or more folders.
For example, in a scan with two starting folders:
Folder 1: Master Folder (D:\)
File A
File B
File C
File D
Folder 2: (G:\Backup\)
File A [Will match as duplicate of file A in Master folder]
File B
File B [Will match as duplicate of file B in this folder and file B in Master folder]
File E [No duplicate - ignored]
File F
File F [Duplicated in this folder, but ignored as not in Master folder]
Scan against Self
Duplicates files within this folder/tree will be shown in the results. If this is set to 'No' then the only files from this folder shown will be ones which have duplicates in other folders.
Show remaining
If set to 'Yes', any files in this folder which do not have duplicates will be listed in their own tab in the results.
If this folder is also set to 'Find duplicates - External only' then all files which do not have duplicates in other folders will be listed as remaining - even if they have duplicates within their own folder.
Notes for upgrading Duplicate Cleaner version 4 users
- 'Find Duplicates - External only' is the same as the old 'Don't scan against self' setting.
- 'Remaining files' are the same as 'Unique files' in version 4.

Advanced folder search options

There are several advanced settings which control the behavior of the search:
Skip system folders
Important Windows system folders and any folders with a system attribute are ignored, along with their sub-folders.
Examples of important Windows system folders include:
C:\WINDOWS\
C:\WINDOWS\System32
C:\Program Files\
C:\Program Files (x86)\
C:\Users\[User Name]\AppData\Roaming\
C:\Users\[User Name]\AppData\Local\
C:\Users\[User Name]\AppData\LocalLow\
C:\ProgramData\
Skip hidden folders
Any hidden folders are ignored, along with subfolders.
Don't follow NTFS mountpoints and junctions
This prevents Duplicate Cleaner from following paths which are actually links to mounted drives (mount points) or links to another folder on the same or a different drive (junctions).
This setting is to help prevent the situation where the same folder is scanned under two different path names, thus creating false duplicates.
Skip files/folders in Ignore list
This setting will cause the scan to skip any files or folders which have been specified in the Ignore list. The ignore list can also be viewed and/or edited from button next to this setting. See the Ignore list page for more details.
Scan inside archive/zip files (treat as folders)
The contents of archive (e.g. .zip) files will be searched as part of the duplicate scan, and listed as subfolders in the results.
Note: When this is active, the archive files themselves will not be shown in the results.
You can select which archive formats you want to open. Be aware that scanning inside archives will cause the scan to take longer, depending on the format.
Any archive formats not selected will be treated as normal files.


Scanning tab

Overview

The scanning tab displays an overview of the scan criteria and search locations you have chosen, along with feedback on the current scan in progress.
When a scan is complete the results are displayed on the right hand side.

Starting the scan

The Start Scan button begins the scan using the current settings and criteria displayed above the button. You can hover the mouse over the drives listed to see the folder detail.
Options:
  • •
    Find duplicate folders - Click this checkbox to calculate duplicate folders at end of the scan. Unchecking this may improve scan time a little.
  • •
    Prevent Windows from sleeping during scan - Checking this setting will stop Windows from going into sleep mode while the scan is taking place. Note this may not prevent sleep in the case of events such as low battery or laptop lid closing.
  • •
    If the 'Open the results tab when finished' checkbox is checked then the 'Duplicate files' tab will automatically be displayed upon scan completion.

Pausing the scan

Click the pause button to temporarily pause the scan and release computer and disk drive resources. All processing will stop (though there may be a delay if the program is processing a large file). The scan in pause state cannot be saved and you won't be able to exit the program until the scan is completed or cancelled.

Canceling the scan

The Cancel scan button will tell Duplicate Cleaner that you want to cancel the current scan. Depending on your scan there may be a delay in canceling if the program is in the middle of processing a large file.

Scanning feedback

The time taken is displayed in the right hand pane, along with the current processes being performed.

Graphs and stats

A breakdown of file types in the scan is displayed in real-time. After the scan is complete a graph of duplicate vs non-duplicate files is displayed.


Duplicate files tab

Overview

The Duplicate Files tab is the main area where you will be working with the results of your scan. It contains a results table showing all duplicates found in the scan (both originals AND copies).
The duplicate files are arranged in numbered 'Groups' (See the group column). Each file in a group can be considered duplicates according to the criteria you set at the beginning of the scan. Marking (ticking/checking) a file specifies that you intend to remove (delete) that file later on.
Each duplicate group contains ALL copies of a file found - so you should ensure you leave at least one file in each group if you want to retain a copy.
There are several tools available to help manage the list, with quick access buttons to the left hand side of the tab. See below for more detail.

Marking Files

Once you have performed a scan you can now mark files to delete, move or hard link. If in doubt, leave a file alone.
File marking is one of the most important concepts in Duplicate Cleaner. A file is marked when it has a cross next to the file name in the checkbox.
Marking a file usually indicates you want to delete, move or copy this file - though there are other things you can do with marked files as well.
You can mark a file by clicking on the checkbox, but there are many other ways of marking files too - for instance you could mark all files in the same folder using the right-click context menu. The selection assistant can also help.

View settings

Click on the 'View' button for dropdown menu of view settings.
You can view the duplicate list as either a detail view with columns containing information about the file, a detail view with a thumbnail preview column, or a thumbnail view which will show preview thumbnails of the file where applicable.
Detail view:
There are a few other settings that only apply to the detail view:
  • •
    Alternate row shading - Every other row is lightly shaded to improve viewing clarity.
  • •
    Alternate group shading - Every other group is shaded. Most useful for clarity when the 'Grouped list' setting is turned off.
    Preview Column:
    You can show/hide a thumbnail preview column as the first column in the detailed list. To show this you can either click the icon or right click on a column header and select Preview. The preview size (and row height) can be controlled by changing the width of the column (drag the line next to the column name).
Thumbnail view:
The thumbnail view can optionally display file size, dimension, file name and folder name. This can be changed by clicking on the toggle settings to the right of the thumbnail list. The thumbnail size can be controlled with the slider.

Filtering

The duplicate list can be filtered - this makes it easier to temporarily focus on a set of files or folders.
There are several ways to filter - from the menu above the list, the right-click content menu or from the 'Find in list' tool.
For more information see the Filtering topic.

Sorting

You can sort a column by clicking the column heading. Repeated clicks will change the sort direction, or remove the sort. If the list is in grouped mode (in the View menu) then it will always be sorted by group first.
You can sort on multiple columns by shift-clicking the column headers.

Selection Assistant

If you want faster, smarter making of files, check out the Selection assistant. This powerful tool gives you the ability to automatically mark files in each group based on a set of rules.

Image preview

The preview window gives a group by group view with the image thumbnails displayed. You can select a thumbnail to view a larger full size image. Marking files can be done from this window.

Media player

The Media player lets you quickly preview audio and video files from within Duplicate Cleaner. It can be floated as a separate window using the arrow button to the top right.
Media metadata is also displayed.

Find in list

You can show the find tool either by clicking on the magnifying glass icon or pressing Ctrl-F / F3.
The find tool is handy for searching within your results. You can search on most columns by selecting in the dropdown list to the right of the find text box.
You can also filter the list based on the find text - click on the 'Use as filter' button.
Find options:
  • •
    Is case sensitive - case sensitive text search
  • •
    Match whole column - the entire text in the column should match. Uncheck this if you just want to match part of the text (the start of a filename for instance).
Click on the cross button to the right to hide to tool.

The contents of Duplicate files tab

Selection assistant
Duplicate files context menu
Preview window
Media player
Filtering the lists
Location marking


Selection assistant

This is the Selection Assistant sidebar - it gives you access to many powerful operations to help you mark your files for removal.
If it is hidden then click on the icon to the left of the window in the Duplicate files tab to show it. Click on the icon again, or the cross to hide it.
The Selection assistant will work across the whole duplicate files list, unless the list is filtered, in which case you will see the the icon below and the operation will only work on the filtered files.
If Filtered, the following label will be shown:

Mark by group

The Mark by group tool marks the files by considering them on a group-by-group basis. There are several options-
  • •
    All but one file in each group
    All except one file in each duplicate group is marked.
  • •
    Only one file in each group
    Only one file in each duplicate group is marked. Other files will be unmarked (unless 'Leave existing marks unchanged' is checked)
  • •
    All but one in the same group and folder
    Similar to 'All but one file in each group', but ensures that there is also one file left unmarked in each folder in the group as well.
  • •
    All but one matching set in each group -
    This will mark by sorting each group into matching 'sets', according to the preferences you specify, and then will mark all but file in each set.
    The example below uses 'Smallest Image dimensions'. As you can see, only the largest sized files remain in each group. All dimensions being equal, nothing is marked.
    This mode will not mark anything if no preferences are specified.
Specifying preferences
You can specify the characteristics of the files that you would prefer to be marked. Smallest? Oldest? Missing tags?
For each group you can specify a preference to mark (remove):
  • •
    Smallest/largest image dimensions (Image and Video modes only)
  • •
    Shortest/longest duration (Audio and Video modes only)
  • •
    Shortest/longest folder names
  • •
    Shortest/longest file names
  • •
    Deepest/shallowest folder depth
  • •
    Newest/Oldest date created
  • •
    Newest/Oldest date modified
  • •
    Largest/smallest file size (in bytes)
  • •
    The alphabetically lowest (or blank)/highest (or non-blank) value in a chosen column
  • •
    Whether a chosen column contains, doesn't contain or starts with a particular value
Only checkmarked preferences are used. The order of preference can be changed by clicking on the arrow buttons.
Important note
These are preferences only - If you are marking 'all but one in each group' and preferring files with 'Copy' in the name and there aren't any files with 'Copy' in that group, all but one will still be marked. In this case, for stricter requirements, 'All but one matching set' may be the way to go.
'Leave existing marks unchanged
The 'Leave existing marks unchanged' option will perform the above operation as normal but will not unmark anything.

Mark by text pattern

This tool allows marking or unmarking of files by matching a text phrase or pattern in a particular column. It will work on the entire, or the current filtered list if applicable.
The 'Text' box contains the text to search for, or Regular Expression. When the text is found the row is marked (checked). The pattern may be found in any part of the text, unless the 'Match Whole Column' option is on.
This tool isn't duplicate group aware, so be careful about marking all copies of a file if you are intending to delete.
Column name
The column name to match in the duplicate files list.
Match whole column
Requires a match of the whole text pattern. Otherwise, partial matches are acceptable.
Is case sensitive
The match is case sensitive if checked.
Use Regular Expressions
Advanced users may use regular expression patterns. Regular expressions allow you to mark using a matching pattern, similar to a wildcard. You could mark by part of a word, or a range of numbers for instance.
Duplicate Cleaner uses Microsoft .NET Regular Expressions. See this link for more information.
Examples:
[1-3]
- Mark files containing the numbers 1, 2 or 3.
^test
- Mark files beginning with the word 'test'
Leave existing marks unchanged
If 'Leave existing marks unchanged' is checked then files not matching the text will not be changed. Otherwise, they are unmarked.

Mark by location

The Mark by location tool allows you to mark files by taking into account where the corresponding duplicate files may be.
See Location marking for more details.

Other commands

  • •
    Unmark all - Unmarks all files in the list (or the filtered list)
  • •
    Invert marked files - Swaps the marked/not marked status of every file in the list (or the filtered list)

Undo

You can undo the last Selection assistant command by clicking on the 'Undo last select operation' button.


Duplicate files context menu

This context menu is shown by right-clicking on a file in the Duplicate files tab.

Open file

Click this to run or view the selected file, depending on type. This is the equivalent of double-clicking on a file name in Windows Explorer.

Image preview

Brings up the Image Preview window, which displays the currently selected image/video file and group members as thumbnails.

Delete file

Directly deletes the currently selected file on the drive.
Note: This option is unavailable unless enabled in the settings.

Mark Submenu

The Mark submenu. These are actions for automatically marking files.
From here you can:
  • •
    Mark all files of this type (Mark all with the same file extension (eg .bak)
  • •
    Mark all duplicate files in this folder
  • •
    Mark all duplicate files in this folder tree
  • •
    Mark all duplicate files on this drive
  • •
    Mark all duplicates in this zip or archive file
You can also perform more advanced marking. See location marking for more detail.
  • •
    Mark all files outside this folder that have a duplicate inside this folder
  • •
    Mark all files outside this folder tree that have a duplicate inside this folder tree
  • •
    Mark the files in this folder that have duplicates elsewhere
  • •
    Mark the files in this folder tree that have duplicates elsewhere
If the list is filtered, these actions will only apply to the filtered files.

Unmark Submenu

The Unmark submenu commands work in a similar way to the Mark submenu commands, but will unmark the files instead.

Unmark All

Removes all the marks on the files. If the list is filtered, these actions will only apply to the filtered files.

Invert marked files

Inverts (reverses) the marks. (i.e. marked files are unmarked, unmarked files are marked). If the list is filtered, these actions will only apply to the filtered files.

Protect folder tree

Flags the currently selected folder tree for protection. This will unmark and protect all files within. They won't be able to be marked until the folder is unprotected.

Unprotect folder tree

Unprotects the currently selected folder tree. You'll be able to mark the files again.

Parent folder actions

Displays the parent folders submenu. Here you can select a folder lower down the tree from the current selection and perform an action on it.
Marking actions are available as in the Marking submenu above. You can also filter on the selected folder tree, drop the folder tree from the list, or protect/unprotect the folder tree.

Filters

Here you can filter the duplicate file list according to the currently selected file/path/group. Filters can be removed by clicking here again, or by the button above the list.
You can also filter by:
  • •
    One of the preset file types (or set a custom type).
  • •
    File size ranges.
See the Filtering topic for more information.

Ignore List

The following submenus allow you to add the selected file(s) or folder tree to the Ignore list. In addition they will be dropped from the current list.
  • •
    Add selected files to the Ignore list
  • •
    Add this folder to the Ignore list

Drop selected From List

Removes the selected (highlighted) files from the list (note this does not delete anything).

Drop marked From List

Removes the marked (checkmarked) files from the list (note this does not delete anything from your drive).

Drop folder tree from list

Removes all files in the selected folder tree from the list.

Copy folder/file name(s) to clipboard

Copies the currently selected folder and/or file name(s) to the clipboard. Note this copies the names only, not the actual files.

Show folder in Windows Explorer

Brings up a Windows Explorer window with the currently selected folder and file in it.

Send to hash tool

Sends the currently selected file to the Hash tool (in the Tools tab). This will calculate the hash of the file.

Rename file

Allows you to rename the currently selected file.

Un-Hardlink file

If the currently selected file is hard-linked, this recreates it as a standalone file.

Refresh list

Refreshes the duplicate file list. This will remove any missing file (e.g. deleted outside Duplicate Cleaner), and will collapse orphan groups (if the option is enabled).
Note: This does not rescan for new duplicates.

Show properties

Brings up the Windows property sheet for the selected file.


Preview window

The Preview window is a handy way to view a group of images or movie files. This window may be used alongside the main window containing the duplicate files.
The central area shows the currently selected image - you can click on a file in the main Duplicate files tab or the thumbnails side bar to change this image. The filename and folder are shown above, and the marked status can be changed by clicking in the checkbox.

Current group

The current group is shown to the top left (along with a count of any filters which have been applied). Click on the arrows to change group. Group numbers which are outside the current filter will be skipped.

Thumbnails

Thumbnails of files in the current group are shown down the right. You can scroll down using the scrollbar. File size, dimensions and format are shown above the image.
You can hover the mouse pointer over the images to see the full filename and path, and clicking on an image will show it as the main image. You can also mark or unmark an image by clicking in the checkbox.
You can hide the thumbnail section by unchecking the 'Show thumbnails' checkbox.
You can change the size of the thumbnails by changing the zoom bar below the list.

Metadata

Check the 'Show tags' checkbox to show a panel containing metadata for the currently selected image.
The tags shown will vary depending on the source and history of the image, and may have been created by the camera or image processing software.

Fit image

With this setting checkmarked, the main image will be scaled to fit within the window. If unchecked it will be shown at actual pixel size, and you can use the scroll bars to pan around it.

Correct orientation

If checkmarked, the image will be rotated to display at the correct orientation according to the metadata in the image.


Media player

The media player lets you quickly preview audio and video files from within Duplicate Cleaner. It can be floated as a separate window using the arrow button to the top right.
Media metadata may also be displayed.


Filtering the lists

Filtering overview

Duplicate Cleaner has several powerful filtering methods for the Duplicate files list. This allows you to focus on a smaller group of files. Operations such as as the Selection assistant will also work on filtered lists allowing you to break down tasks.
There are several ways to filter - the Filter menu above the duplicate list, the right-click context menu or from the 'Find in list' tool.

The filter menu

The drop down filter menu is above the Duplicate files list. Click on the button to see the list of filters along with any active ones listed. Multiple filters can be used together.
The amount of filters used is displayed on the menu button. The amount of files filtered is shown on the refresh button next to it.
You can remove all current filters with the 'Clear filters' button.
Marked files filters (only one can be active at a time)
  • •
    Marked - show all files marked
  • •
    Not Marked - show all files not marked
  • •
    Group has mark - show all groups where one or more files are marked
  • •
    Group has no marks - show all groups where no files are marked
  • •
    Group has some but not all marked - shows groups which have one or more files marked, excluding groups with all files marked.
  • •
    Group has all marked - show groups where every file is marked. This is an important filter to check to prevent accidental file loss!
  • •
    Protected - filters to all files flagged as 'Protected'
Group size filters
  • •
    Groups containing between x and y files - only show groups which have the number of files between a specified range (e.g. between 5 and 100).
    - Click on the gear icon to edit the range.
  • •
    Groups with files between x and y file size - only show groups in which the total file size for the group is between a specified range (e.g. 100MB to 1GB)
    - Click on the gear icon to edit the size range.
File size filter
  • •
    File sizes between x and y - Shows only files between a specified file size (e.g. 100MB to 1GB)
Preset filter
  • •
    Filter by preset file types. These preset categories can be edited in the settings tab.
Other filter settings and commands
  • •
    Show all files in filtered groups
    If this setting is checkmarked then whenever a file is shown within a filter above (or one of the other filters) the whole group is also shown (despite the fact that other files in that group may normally fall outside the filter).
    This has many useful applications. For instance:
    -Filtering by a certain folder and then showing the other folders in groups that contain that folder
    -Filtering by a certain file type and then seeing what other file types it has been grouped with
    -Filtering by a certain word or phrase in the filename and viewing the complete groups where it occurs
  • •
    Clear filters - Removes all current filters.

Context menu filtering

By right-clicking on a file you get the Duplicate files context menu . This has several filtering options related to the currently selected file or folder:
  • •
    Filter to selection - Filters to the currently selected rows.
  • •
    Filter by folder - Filter on the currently selected folder
  • •
    Filter by group - Filter on the currently selected group
  • •
    Filter by file type - Filter on the currently selected file type (e.g. .jpg)
  • •
    Filter by archive - Filter on the currently selected archive (e.g. a .Zip file)
  • •
    Clear filters - Removes all current filters.

Search filtering

You can filter from the Find in list tool. Type a phrase into the search box (you can also select a column) and click the 'Use as filter' button. This is often handy used in combination with the 'Show all files in filtered groups' setting above.
Click on the 'Remove filter' button to remove the current search filter (this won't clear the other filters).


Location marking

You can access location marking tools from the Duplicate files right-click context menu or from the Selection Assistant.

Marking all files outside a folder (or folder tree) that have a duplicate inside that folder

This function will mark all files outside the selected folder/tree which are duplicates of the files in the selected folder.
If the 'Preserve' option is checked then any files in the selected folder/tree will be un-marked.
Example:
Selected folder name = C:\MyFiles\
Files in Group 1:
C:\MyFiles\file1.txt
D:\Backup\file1.txt
D:\Backup\copies\file1-copy.txt
Files in Group 2:
C:\MyFiles\Doc.txt
C:\MyFiles\Doc (2).txt
D:\Backup\Doc.txt
D:\Backup\copies\Doc.txt
After this operation the files in the Backup folder are marked:
Files in Group 1:
C:\MyFiles\file1.txt
D:\Backup\file1.txt - MARKED
D:\Backup\copies\file1-copy.txt - MARKED
Files in Group 2:
C:\MyFiles\Doc.txt
C:\MyFiles\Doc (2).txt
D:\Backup\Doc.txt - MARKED
D:\Backup\copies\Doc.txt - MARKED

Mark the files inside a folder (or folder tree) that have duplicates elsewhere.

This function will mark all files inside the selected folder/tree which have duplicates outside the folder/tree.
If the 'Preserve' option is checked then duplicates of files inside the selected folder/tree which are outside will be un-marked.
Example:
Selected folder name = C:\MyFiles\
Files in Group 1:
C:\MyFiles\file1.txt
D:\Backup\file1.txt
D:\Backup\copies\file1-copy.txt
Files in Group 2:
C:\MyFiles\Doc.txt
C:\MyFiles\Doc (2).txt
D:\Backup\Doc.txt
D:\Backup\copies\Doc.txt
After this operation the files in the MyFiles (selected) folder are marked:
Files in Group 1:
C:\MyFiles\file1.txt - MARKED
D:\Backup\file1.txt
D:\Backup\copies\file1-copy.txt
Files in Group 2:
C:\MyFiles\Doc.txt - MARKED
C:\MyFiles\Doc (2).txt - MARKED
D:\Backup\Doc.txt
D:\Backup\copies\Doc.txt


Remaining / unique files tab

Overview

The Remaining files tab contains a list of unique/remaining files found in the scan. To be listed here, a file needs to be within a folder tree flagged with "Find remaining" in the Scan location tab. It also needs to have been a file that was included in the scan - any files filtered out by the search filters on the Search criteria tab will not be shown.
It's possible for this list to contain duplicate files. If the 'Find duplicates' setting for a starting folder (on the Scan location tab ) is flagged as 'No' or 'External only' then any unmatched files in that folder will be classed as remaining and shown here.
As with the duplicate files list, you can mark files for deletion. Be careful though, as depending on your scanning criteria and location these could be the only copies of a file you have.
To mark a file click on the checkbox. You can also double click on a file to open it in it's native application for further investigation. A right-click pop-up menu is available from the list, with many more options.
The viewing, filtering, searching and marking on this list work in the same way as the functions on the Duplicate files tab - though there may be less options due to the fact that there is no duplicate grouping in this list.


Duplicate folders tab

Overview

Duplicate Folders are grouped together after a scan, and are a useful tool for quickly organizing and marking your duplicate files for removal.
File markings made in the main duplicate file list are reflected here, and vice-versa.
Note: The folder groups shown are only duplicates according to your scan criteria and filters. For instance, if you only scanned for jpg files, and had two folders with the same jpg files in, they would be shown in this list. However, there may also be different files in these folders (e.g .txt), outside of the scan criteria. This is useful if you want to find duplicate folders while ignoring some files (eg baks, thumbs.db, etc).

Duplicate folders

The duplicate folders are arranged into groups, showing the root duplicate folders which match in each group. You can expand the folders to view the folder tree. The groups are listed by largest size first. Any folder shown in grey means that that folder is contained within a larger folder group that is duplicated elsewhere.
Clicking on a checkbox next to a folder will mark that folder and all subfolders. To only mark the folder without marking the subfolders, uncheck the 'Automatically mark subfolders on checkbox click' setting above the list. Marking folders here will also mark the corresponding files in the Duplicate files tab.
Key:
Folder and subfolders are not marked
Folder and subfolders are marked
Folder and/or subfolders are partially marked or empty*
*Empty folders may actually not be empty but contain files outside the scope of the scan.

Files list

The list to the right of the tab contains the files within the currently clicking folder.
Files shown in grey are outside the scope of the scan criteria, and will not be marked for deletion.

Selection Assistant

This tab contains a simplified Selection assistant to help with marking folders. It works in a similar way to the Selection assistant on the duplicate files tab.


File removal tab

Overview

The file removal tab contains everything you need when it comes to deleting, copying, moving, renaming and linking files. All these operations will be performed on files you have previously marked (checkmarked in the list) in one of the other tabs. (Duplicate files, Duplicate folders or Remaining files).
You can also export file lists from this tab, in a format suitable for programs such as Microsoft Excel.
There may be one or two sub-tabs here, depending on the results of your search. Be sure to click on the correct tab before proceeding further.
The number of files marked (in the duplicate files tab) is shown here, along with the size on each drive. This allows you to check you are removing files from the expected drive.
You may also get warnings here, such as if all copies of a file are marked for removal.
Next, you can select which operation you want to perform on your files from the tabs on the left. Progress is shown on the right of the window, along with results. All operations are logged in the log file.

Delete files

Here you can delete the files marked in the duplicate files list. There are several available settings for file deletion:
  • •
    Delete to the Recycle Bin where possible - The files can be deleted to the recycle bin or permanently if unchecked. (careful with this one). Be warned that zipped files, files on removable drives and network files may be permanently deleted even if the Recycle option is checkmarked.
  • •
    Via Windows shell - Files are deleted via the Windows Explorer shell and will display the familiar progress graph and estimates. This option is usually faster depending on the system and drive. If there are problems with this you can uncheck this option and Duplicate Cleaner will remove the files directly.
  • •
    Skip problem files - If checked, you won't be prompted by Windows if the process has trouble with a file.
  • •
    Remove empty folders - After the file removal, Duplicate Cleaner will remove any empty folders where at locations where files were removed. It will also remove empty sub folders.
  • •
    Protect important system folders - Files will not be removed from important system folders. For a list of these folders, see Scan location tab
You can also view the Recycle bin and view or edit the Recycle bin settings (these are Windows control panel settings)

Move or copy files

Here you can move or copy the files marked in the main duplicate files list. You need to specify a destination folder to move or copy them to.
You also need to specify how to structure the copied/moved files:
  • •
    Don't create subfolders - move or copy all files to the same folder
    All files will be moved or copied into the same folder. Moving same-named files into one folder with 'Overwrite existing files' enabled may result in data loss, so be careful.
  • •
    Create subfolders - reproduce the source folder tree structure at the destination
    This will create the full source folder structure in the destination after moving/copying and is particularly useful if you have same-named files.

    Examples:
    Source file: D:\MyFiles\Test\File1.txt
    Destination folder: T:\Backups
    Result: T:\Backups\MyFiles\Test\File1.txt
    Source file: D:\MyFiles\Test\Sub\File2.txt
    Destination folder: T:\Backups
    Result: T:\Backups\MyFiles\Test\Sub\File2.txt
  • •
    Create subfolders - reproduce part of the source folder tree structure ignoring prefix
    This will preserve part of the source folder structure, excluding a specified prefix. This is useful to avoid creating unnecessarily long paths- it will only create the part of the path that is used to structure the files you are copying.
    The 'Detect from marked files' button will automatically determine the common part of the path to exclude.

    Examples:
    Source file: D:\MyFiles\Test\File1.txt
    Destination folder: T:\Backups
    Prefix: \MyFiles\
    Result: T:\Backups\Test\File1.txt

    Source file: D:\MyFiles\Test\Sub\File2.txt
    Destination folder: T:\Backups
    Prefix: \MyFiles\Test\
    Result: T:\Backups\Sub\File2.txt
There are several other settings:
  • •
    Overwrite existing files - If moving or copying to a destination where the same file name exists, the target will be over-written when this setting is checked. If not checked, the file will be moved or copied with a suffix such as "- Copy"
  • •
    Via Windows shell - Files are processed via the Windows Explorer shell and will display the familiar progress graph and estimates. This option is usually faster depending on the system and drive. If there are problems with this you can uncheck this option and Duplicate Cleaner will process the files directly.
  • •
    Skip problem files - If checked, you won't be prompted by Windows if the process has trouble with a file.
  • •
    Remove empty folders - After moving files, Duplicate Cleaner will remove any empty folders where files were removed. It will also remove empty sub folders.
  • •
    Protect important system folders - Files will not be moved from important system folders. For a list of these folders, see Scan location tab

Rename files

Here you can rename marked files by adding a prefix (before the file name) or a suffix (after the file name but before the file extension).
For example:
Filename.JPG
becomes
PrefixFilenameSuffix.JPG
You can also use flags to add in extra data to the filename:
/g inserts the duplicate file group number into the name
/h inserts the file hash into the file name. The hash used will be the one calculated in the scan - if there is none then an MD5 hash will be used.
For example:
Suffix: _Hash_/h produces:
Filename_Hash_f76291ee3bc359e98f1be302c9a30761.JPG
Options:
  • •
    Protect important system folders - Files in important system folders will not be renamed. For a list of these folders, see Scan location tab

Link files

Here you can create links to and from files. Windows shortcuts, symbolic links and hard-links are supported.
The process will delete the marked files are replace each with a link or shortcut. This link/shortcut file will link to the first suitable non-marked file in each group.
When creating links there needs to be at least one file in each duplicate group left not marked. This will be the 'original' file to which the other marked files in the group are linked.
Create Windows shortcuts
Replaces each marked file with a Windows shortcut file (also known as shell link) which points to another file in the same group.
Create symbolic links
Creates a symbolic link (also known as a Soft link) for each marked file.
Note: Requires Duplicate Cleaner to be running as Administrator.
Create hard links
A hard link is a directory entry for a file. Every file can be considered to have at least one hard link. On NTFS volumes, each file can have multiple hard links, and thus a single file can appear in many directories (or even in the same directory with different names). Because all of the links reference the same file, programs can open any of the links and modify the file. A file is deleted from the file system only after all links to it have been deleted. After you create a hard link, programs can use it like any other file name.
You can only create hard links on NTFS volumes. You cannot create hard links between volumes (different hard drives or network shares).
Once linked there will appear to be no difference between the linked file and the original in Windows Explorer. In addition, hard linked files will appear again as duplicates if you rescan, unless you have the 'Exclude hard linked files from duplicate list' setting on the Search criteria tab checked.
Options:
  • •
    Protect important system folders - Marked files in important system folders will not be linked. For a list of these folders, see Scan location tab

Exporting file lists and creating batch files

Exporting CSV Files
Here you can export scanned files to a CSV file for import to other software (such as Microsoft Excel).
These CSV files are comma-separated text files, with quoted fields and a header row.
Creating batch files
Using this tool you can create batch files (or any other kind of list) from the marked files using a custom format.
Flags:
/file - File name
/folder - Folder name
Example setting:
del /folder/file /p/f
Content of output file:
del C:\myfolder\myfile1.txt /p/f
del C:\myfolder\myfile2.txt /p/f
del C:\myfolder\myfile3.txt /p/f
...


Tools tab

Overview

The Tools tab contains several standalone tools which can compliment the tasks you may be performing with Duplicate Cleaner.

The contents of Tools tab

Remove empty folders tool
Hash tool
Drives tool


Remove empty folders tool

Overview

This standalone tool is for removing empty folders (or directories) on your hard drive. An empty folder is defined as a folder with no files in it. Any folders contained within need to be empty too.
Empty folders only use a tiny amount of space on your drive but cleaning them up can help with navigating your files, simplifying your folder structure by removing dead ends.

Usage

Enter a folder name from which to start the scan into the folder box at the top of the tab. You can either type or paste a folder name, click on the folder browse button to select, or drag a folder from Windows Explorer. The Start scan button beings the search, which can be cancelled any time with the Cancel button next to it.
Once complete, the folders are listed below. They are all pre-checked for removal. You can toggle the checkmark by clicking the checkbox or selecting the row and hitting the space bar. You can multiselect rows using the shift key. Use CTRL-A to select all rows.
You can also view a folder in Windows Explorer by selecting it and clicking on the 'Show folder in Windows Explorer' button.
To remove the empty folders, click the 'Remove empty folders' button below the list. They will be permanently deleted - be sure you have backed up first beforehand if you have valuable data!


Hash tool

Overview

The hash tool is a standalone tool for calculating file hashes.
To calculate hashes, you can select files or folders using the buttons below the list. Alternately you can drag files from Windows Explorer directly onto the tool.
You can choose the hash type using the dropdown menu above the list. Clicking the 'Refresh list' button will recalculate all the files in the list according to the current hash.
Hashes can be copied to the Windows clipboard by selecting one or more rows and clicking the 'Copy : Hash' or 'Copy: Hash,File Name' buttons.

Grouping duplicate hashes

Duplicate hashes can be grouped by clicking the Group : Hash checkbox above the list.


Drives tool

Overview

The drives tool displays a quick overview of all current drives connected to the PC as seen by Duplicate Cleaner.
Free space, capacity and drive mapping information is also shown.


Settings tab

Overview

The settings tab contains general settings which affect the entire application. It also contains sub-tabs for changing program presets and UI themes. Program version, credits and software updates can be found on the About tab.
All settings on this tab are instantly applied when clicked. The settings are saved when the program closes.

General settings

  • •
    Show toolbar - Displays a quick-access toolbar at the top of the application window
  • •
    Confirm on exit - Prompts before closing application
  • •
    Suppress all confirmation prompts - The program will not ask for confirmation before certain tasks (deleting files, for instance). Use with caution!
  • •
    Show results of last scan on start - The results of the last scan are loaded when the program starts. Otherwise they are deleted.
  • •
    Notification sounds - Turn notification sounds on or off.
  • •
    Automatically check for new updates - check for program updates on starting (Requires internet connection).
  • •
    Automatically hide duplicate groups when one file remaining - When checked, Duplicate Cleaner will automatically remove a group in the Duplicate files list when there is only one member left. For example - after a file removal operation, removed files are dropped from the main duplicate files list. When this option is checked, groups consisting of one file will also be dropped from the list (the remaining file is no longer a duplicate).
  • •
    Allow direct deletion from duplicate lists - Enables deletion of selected files directly from the duplicate files list by hitting the Del key or using the context menu.
  • •
    Use internal viewers where available - Built in Image, Video or Audio players are used when double-clicking on a file. Otherwise the file is sent to the default Windows application.
  • •
    Archive/Zip files temporary space limit - A recommended maximum amount of space to use in the temporary folder for unzipping files for scanning. Note this limit may be exceeded in the case of scanning larger files or using the Byte-by-byte comparison mode. All space is freed up upon the scan completing.

Caching

  • •
    Use caching for calculated hashes - this setting will write all calculated hash data to a file. This cache is then be used to speed up subsequent scans.
  • •
    Clear cache - Displays the contents cache folder - cache files need to be deleted manually in Windows explorer

Logging

  • •
    Log events to file - Events will be written to the log file.

Resetting the program to defaults

  • •
    Reset all settings and data - Clicking this will restart the program, restoring all settings to 'newly installed' conditions. It will not remove Virtual folders. or saved scans .

The contents of Settings tab

Themes
Presets
Software updates


Themes

Overview

You can change the color scheme, fonts and sizes using the Theme controls on the Settings tab. Select from one of the preset themes and click 'Apply'.
You can also change the size of text and images in the application using the Zoom control.

Custom Theme

There is a theme called 'Custom' which can be user edited with a text editor. It is located in the program folder under Themes\User_Theme.xaml.
Click on the 'Apply' button after editing to see changes. If you want to share a great theme please feel free to post it to the forum!


Presets

Overview

Here you can edit and create preset file filters. These can be used on the scanning file filter on the Search Criteria tab and for filtering the duplicate file list.
Note that these don't alter the default set of file types supported by Audio, Image and Video modes (If 'All file types' is checkmarked).


Software updates

Overview

You can check for software updates from the Settings -> About tab. An internet connection is required for this.
By default the application will check for updates upon starting. This behavior can be changed by unchecking the 'Automatically check for new updates' setting on this tab.
If a new update is available a dialog box will appear which will give you the option of visiting the Duplicate Cleaner download page to download the new version. The update can simply be installed over your current version - all settings and registration details will be retained, though you will need to close the program before installing.


Loading and saving scans and settings

Overview

In Duplicate Cleaner 5 you can load and save the current scan complete with scan settings. It can be thought of as a 'snapshot' of the program state at the current time.
This is useful if you have settings you want to re-use at a later date, or are putting a scan to one side to run a different one. You can also use it as a way of rolling back complex file marking.
The following can be saved and recalled:
  • •
    Search criteria
  • •
    Scan location
And optionally (if 'Save scan results' is checkmarked):
  • •
    Duplicate files tab content
  • •
    Duplicate folders tab content
  • •
    Remaining files tab content
  • •
    All file marking states on above tabs.
What is not saved:
  • •
    Application settings (as on the settings tab) including presets and themes
  • •
    File removal settings
  • •
    Tool settings

Loading and saving

Access the Load and save tool from the Home tab. Any saved states are listed here. Select and click 'Load scan' to load the selected scan.
To save your current settings (or scan results) click the 'Save scan' button. The following window will appear:
If Save scan results is not checkmarked, only the settings (Criteria, locations) are saved.

CSV Import

You can import a CSV text file as the current scan using this button. See CSV files for more information

Deleting saves

You can permanently delete a save file by selecting it on the Home tab and then clicking the 'Delete' button.

Technical

Files are saved to C:\Users\[Your user name]\AppData\Roaming\DigitalVolcano\DuplicateCleaner\States\


The Ignore list

Overview

The Ignore list is a feature you can use to permanently exclude files (or folders) from any subsequent duplicate scans.
This has several uses, for instance:
-Whitelisting files you are happy to keep as duplicates
-Skipping folders that you never want to appear in a scan
Files or folders specified in the ignore list will not be included as part of the scan. They won't appear in the Remaining/Uniques results either. Any files/folders which have been skipped will appear in the log file.

Enabling the Ignore list

You can enable the Ignore list on the Scan location tab.

Adding files or folders

You can add files or folders to the Ignore list from the duplicate files results table - right click on a file and select one of the following commands in the context menu:
  • •
    Add selected files to the Ignore list
  • •
    Add this folder to the Ignore list

Editing the Ignore list

The ignore list is stored as a plain text file. If you click on the edit button (in the scan location tab, next to the setting) it will open the file in your default text editor. You can add and delete lines. If the file is deleted the program will create an empty file.
Example file:
C:\Users\me\Documents\Outlook Files\
D:\Photos\Picasa\Exports\Starred Photos\.picasa.ini
D:\Photos\Picasa\Exports\Collages\.picasa.ini
D:\Photos\Picasa\Collages\.picasa.ini
D:\Photos\template.jpg
Note:
Folder names need to end with a backslash (\) to differentiate them from files.


CSV files

Overview

Duplicate Cleaner 5 can save and load CSV (Comma Separated Value) text files. This can be useful for exporting to view in another program, such as Microsoft Excel.
CSV files can be exported from the File Removal Tab. CSV Files can be imported from the Load and Save scans section in the Home tab.
Duplicate Cleaner can import Duplicate files or Unique/Remaining file lists. It doesn't currently import Duplicate folder lists.
The required columns are:
filename,groupno,size,datec,datem,chk,protect,hardlink,folder_name,folder_zip_pointer,device_id,device_type
With optional columns after. Common ones include:
hash,hashquick,duration,width,height
The presence of the Width/Height and Duration columns determine whether the list is loaded as an Image, Audio or Video mode scan.
It will load all user columns in, including any custom columns you wish to add. For instance, you could create a new calculated column in Excel (e.g. Files not containing the folder name='N'), re-import the CSV and use the new column in the Selection Assistant.
Notes:
A groupno of 0 indicates a unique/remaining file.
The folder_zip_pointer is the depth of the path (in characters) inside the zip file or archive (-1 if not a zip)
The device_type is either blank, V for a virtual folder or M for an MTP/Media device.


Virtual folders

Overview

Using this tool you can create a database containing a virtual 'snapshot' of a location (For example: a folder or drive, offline archive, optical media, a slow network location). This snapshot can then be used in Duplicate Cleaner in future scans where the original drive doesn't need to be present or connected. This is handy in many scenarios - for instance comparing working files against a backup or a DVD archive, or for repeated scans against a network drive that would otherwise be very slow.
You can access this tool from the Home tab or Scan location tab .
Currently only Regular Mode scans are supported with Virtual folders.
Important note:
A virtual folder is not a backup! Don't compare a virtual folder and then delete an original file assuming it exists elsewhere!

Creating virtual folders

You can create a virtual folder using the 'Create virtual folder' window. Access this from the Home tab.
Source drive
Select the drive or folder which is to be the source for your virtual folder. All files within this will be added to the new virtual folder (unless the program is unable to follow a folder tree due to a permissions issue). Drive letters or UNC paths are allowed.
Hash
Select the type of file hash that will be stored. This is what will be used to compare exact file contents in a scan. You can also select 'None' if you are only interested in comparing by file attributes.
Name
The friendly name for this virtual folder that will appear in the list.
Start scan button
Starts creating the virtual folder. Progress is shown below.
Pause button
Pauses the operation. Click again to resume.
Cancel button
Cancels the operation. Any progress will be lost.

Using virtual folders in the scan

You can add a virtual folder to the scan by opening the 'Virtual folders' tree node in the 'Available folders' tree on the Scan location tab . Drag the folder across to the 'Folders to search' list or click on the Add button.
If scanning by content, you can't mix different hashing types.


The log file

Duplicate Cleaner usage is logged to a local text file. This is stored in your Documents folder by default.
The location can be changed in the settings, and logging can be turned off or on.
The default file name is Duplicate Cleaner log file.txt
Events logged include:
  • •
    Installation and update times
  • •
    All scans with settings, criteria, dates and times.
  • •
    All deleted, moved, renamed and linked files and folders
  • •
    Other error and troubleshooting information.
This log file is stored locally for your reference only. No information is sent externally.


Keyboard Shortcuts

General

F1 - Help
ALT-F4 - exit
F10 - Settings tab
CTRL-Minus - Smaller interface zoom
CTRL-Plus - Larger interface zoom

Duplicate/Remaining files list

Enter - Open selected file
CTRL-P - Show properties for selected file
CTRL-Enter - Show selected file in Windows Explorer
CTRL-H - Send selected file to hash tool tab
Space - Mark selected file
Del - Mark selected file, or delete file if direct delete option is set
SHIFT-Del - Drop selected file(s) from list
CTRL-Del - Drop Marked file(s) from list
CTRL-SHIFT-Del - Drop selected folder tree from list
CTRL-A - Select All
F3 or CTRL-F - Find Window
F3 - Find next (When find window visible)
F2 - Rename selected file in list
F4 - Image preview
F5 - Refresh file list (removes files from list that may have been deleted outside the program)
F6 - Copy file name (path+filename) to clipboard

Image preview window

F1 - Help
F4 - Close
Ctrl + Cursor-Left - Previous group
Ctrl + Cursor-Right - Next group
Space - Mark selected thumbnail


Command Line Parameters

Duplicate Cleaner has the ability to be called from the Windows command line shell, or a batch (.BAT) file.
The following command line parameters are supported:

/register

Register the license key For example: /register XXXXXXXXXXX

/data

Set the data folder location For example: /data "d:\data" (See note about escaping backslashes)

/i [folder]

Specify a folder to include in the scan. Can be used more than once.

/ir [folder]

Specify a folder to include in the scan, and show remaining files for this folder. Can be used more than once.

/e [folder]

Specify a folder to exclude from the scan. Can be used more than once.

/load [scan state name]

Load the named scan state upon starting

/m or /mr

Set to Regular Mode

/mi

Set to Image Mode

/ma

Set to Audio Mode

/mv

Set to Video Mode

/nf

If loading a state, don't load the 'folders to scan' list from it.

/csv [output file name]

Automatically export the duplicate files list to a csv file once the scan has completed.

/csvf [output file name]

Automatically export the duplicate folders list to a csv file once the scan has completed.

/csvr [output file name]

Automatically export the remaining files list to a csv file once the scan has completed.

/default

Apply the default settings

/a or /scan

Automatically begin the scan

/c or /close

Automatically close Duplicate Cleaner once the scan has completed
Notes:
  • •
    Unless changed by specifying a state file, Duplicate Cleaner will start with the most recently used settings.
  • •
    File or folder names with spaces in should be surrounded by double-quote marks (")
  • •
    Folders specified with /i, /ir or /e are added in addition to any loaded in the state, unless the /nf flag is used.
  • •
    In addition to the above, a folder name can be sent to Duplicate Cleaner with no switches, to enable usage with Windows features such as SendTo and Explorer shell integration.
  • •
    If ending a folder name with a backslash and quote (e.g. "C:\data\" you need to escape the last backslash ("C:\data\\") or you will end up with a quote embedded in your folder name.
Examples:
DuplicateCleaner.exe /i C:\Data\Docs /i C:\Data\Other
Starts Duplicate Cleaner with the two named folders added.
DuplicateCleaner.exe /i C:\Data\Docs /e C:\Data\Docs\Temp
Starts Duplicate Cleaner with the named folder added, and the temp folder excluded.
DuplicateCleaner.exe /load "C:\Users\myusername\AppData\Roaming\DigitalVolcano\DuplicateCleaner\States\mystate.data" /scan /csv "c:\output\results.csv" /close
This will load the state called "mystate" run the scan, create an output results csv file and close the program.


Changing the database location

The location that Duplicate Cleaner stores its data and settings is by default in AppData\Roaming\DigitalVolcano\DuplicateCleaner\
You can change this to another path by editing the database.ini file in your Duplicate Cleaner installation folder.
Example of database.ini text file:
;Custom database path here
Path=X:\NewDatabase\


FAQs and troubleshooting

Answers to some common questions and issues are here. For more help try our online forum or our support page.

The contents of FAQs and troubleshooting

Should I backup my files first?
What is the difference between the content comparison / hashing types?
No duplicate files were found!
I can't delete a file because it is protected/access denied
I'm unable to mark a file


Should I backup my files first?

Yes, always backup!
It is best practice to always have a recent backup of your valuable files before starting any disk cleanup project with Duplicate Cleaner; preferably on a separate drive, or in the cloud. Large capacity USB drives have come down in price a lot in recent times - you'll get a lot of convenient backup space for your money. Cloud storage providers are also a popular way of creating secure backups.
Note that the 'System Restore' feature built in to Windows does NOT back up your personal files and documents - it is just for internal system and program settings so should not be relied upon to recover documents.


What is the difference between the content comparison / hashing types?

A file hash is an (virtually) unique string of numbers and letters which is calculated from the contents of a file. It can be thought of as a fingerprint. The advantage of this is that it makes comparing files much quicker because you only need to compare the hash fingerprints.
Duplicate Cleaner implements several different file hashing algorithms. From a user perspective, there is very little difference between most of the hashing algorithms.
Direct Comparison-
  • •
    Byte-to-byte - same sized files are compared to each other one by one
Cryptographic hashes-
  • •
    MD5 - 128 bit hash
  • •
    SHA-1 - 160 bit hash
  • •
    SHA-256 - 256 bit hash
  • •
    SHA-384 - 384 bit hash
  • •
    SHA-512 - 512 bit hash
  • •
    Blake2b 256 - 256 bit hash
  • •
    Blake2b 512 - 512 bit hash
Non-Cryptographic hashes-
  • •
    xxHash - 64 bit hash - Very fast
  • •
    CRC32 - 32 bit hash - For reference only (hash tool), not recommended for general use
Byte-to-byte would be considered the most exact as it compares each file "byte-by-byte". The other methods use hash fingerprinting. MD5 is the fastest, but has the highest chance of a "collision" (i.e. two different files of the same size getting the same fingerprint). This chance is still remote though (billions and billions of files), so it's not a major concern.
In summary, very little practical difference (but the SHA ones are slower). MD5 should be fine for most cases.


No duplicate files were found!

If you have ran a scan and no duplicates are found, don't worry. You either genuinely don't have any duplicates, or you need to tweak the criteria a little.
Common settings which can cause no duplicates to be found are:
  • •
    Subfolders not being scanned.
    Are you scanning the subfolders of the input folders you have listed in the 'Folders to search' list? Be sure the 'Scan subfolders' column is set to 'Yes' (Or the 'Scan subfolders' checkbox is ticked if using version 3).
  • •
    System folder being ignored.
    Are you trying to scan a folder/subfolder which has a Windows 'System' attribute? Uncheck the 'Skip system folders' setting. Always be careful not to delete system files unless you are sure you don't need them.
  • •
    File filter restrictions.
    Check your file filters on the 'Search criteria tab'. Generally you want to scan everything ('All files') and exclude nothing.
  • •
    File size/date restrictions.
    Check you don't have any file size or date restrictions in the Criteria tab. Try 'Any size' and 'Any date' if not sure.
  • •
    Restrictive criteria.
    Make sure your search criteria isn't too restrictive. If searching by content, you don't generally need 'Same file name' or 'Same created / modified date'. If you have 'Same created date' checkmarked this won't generally find copied duplicates as they usually have different created dates.
  • •
    Other folder settings.
    In the 'Folders to search' list make sure that 'Find duplicates' is set to 'Yes' if you want to find duplicates within that folder. If 'Master' is set then bear in mind that only files that duplicate any folder with the 'Master' flag will be shown.
  • •
    Duplicate pictures not found.
    Be sure you are running in 'Image mode' to find similar, resized or rotated images. Otherwise only exact duplicates (same image, tags, size, etc) will be found.
    If you want to find RAW camera image formats such as .cr2, .dng or .raw you need to checkmark 'Raw image support' in 'Advanced search options' on the Criteria tab.
Office Documents or PDF files not matched
Sometimes documents such as Microsoft Word files, while seeming identical, may not match in 'Same Content' mode. This is because the files may have been loaded/saved at different times and so have tiny date changes embedded in the file. This prevents an exact match. One way round this problem is use a 'Similar Content' scan with a very high setting (98 or 99%). Always be careful to double check the files before removing!


I can't delete a file because it is protected/access denied

Solution #1

If you are trying to delete a system file, or a file from a protected system folder, then Duplicate Cleaner may block this.
To allow the deletion you can uncheck the following setting which should be above the delete button:
  • •
    Protect important system files/folders
You should only delete these type of files if you know what you are doing.

Solution #2

If you get access or permission errors then be sure that you have the appropriate permissions to delete a file - this may apply if you are trying to delete system files, or files created by a different user.
Try running Duplicate Cleaner as administrator. You can right click on the Duplicate Cleaner icon and select "Run as Administrator".


I'm unable to mark a file

If you are unable to mark a file for deletion, either by clicking on the checkbox or using the Selection Assistant, this means the file is in a Protected folder.
You can tell this by the padlock icon next to the file name:
You can unprotect a folder tree by right-clicking on the row and selecting the 'Unprotect folder tree' command.
Folders are initially flagged for protection in the 'Folders to Search' list in the Scan Location tab. You can click on the button in the 'Protected' column to change the status before the scan.